cal 1950 1 4
all 1996:4
open data alldata.rat
data(format=rats, org=obs)

set DPI = 	GYD
set LY =  	GW+GPT
set LQAS =	CURR+CDS+MMFS

* Smooth the tax rebate spikes in 92 and 93
compute G = (LY(93:2)-LY(92:3))/LY(92:3)/3
compute LY(92:4) = (1+G)*LY(92:3)
compute LY(93:1) = (1+G)*LY(92:4)
compute G = (LY(94:2)-LY(93:3))/LY(93:3)/3
compute LY(93:4) = (1+G)*LY(93:3)
compute LY(94:1) = (1+G)*LY(93:4)

* Which type of income, disposable personal or labor (wages plus transfers)                                               '
set Y =  LY

* Calculate ratios - nominal over nominal
set GWOGDP =	GW/GDP
set LBOY =	LB/Y
set MTOY =	MT/Y
set CICOY = 	CIC/Y
set LBOAS =	LB/AS
set LBOLQAS =	LB/LQAS
set LQASOLB =	LQAS/LB
set LQASOY =	LQAS/Y
set LBONW =	LB/WEALTH
set NWOY =	WEALTH/Y
set YOGDP = 	Y/GDP
set GWOGDP = 	GW/GDP
set SAVOY = 	GPSAV/Y
set CNOY = 	GCN/Y
set CDOY = 	GCD/Y
set CDAOY =	GCDA/Y
set CDNAOY =	(GCD-GCDA)/Y

* Normalize
set GDC = 	GDC/100
set GDPD = 	GDPD/100
set DSB =	DSB/100

* All the interest rates:
set FYCP60 =	FYCP60/100
set FYFF =	FYFF/100
set FYGM3 = 	FYGM3/100
set FYGT10 = 	FYGT10/100
set FYGT3 = 	FYGT3/100
set FYGT30 = 	FYGT30/100
set FYGT5 = 	FYGT5/100
set FYMAR =	FYMAR/100
set FYMCLE =	FYMCLE/100
set FYMFR = 	FYMFR/100
set FYPR = 	FYPR/100

* Deflate
set GDP = 	GDP/GDPD
set GW =	GW/GDC
set CIC = 	CIC/GDC
set LB = 	LB/GDC
set AS =	AS/GDC
set LQAS =	LQAS/GDC
set MT = 	MT/GDC
set DPI =	DPI/GDC
set LY =	LY/GDC
set Y =		Y/GDC
set GPSAV =	GPSAV/GDC
set NW =	WEALTH/GDC
set ORIGVA =	ORIGVA/GDPD
set ORIGA = 	ORIGA/GDPD

* Calculate other new variables
set MU =	MU/10000
set MUNEG =	-MU
* Note: both POP and home sales are in thousands
set EHS =	HESHS/(POP/10)
set NHS =	HNS/(POP/10)
set THS = 	(EHS+NHS)
set CN = 	GCN/GDC
set CD = 	GCD/GDC
set CDA =	GCDA/GDC
set CDNA =	(GCD-GCDA)/GDC
set CNS = 	(GCN+GCS)/GDC
set CNSD = 	(GCN+GCS+GCD)/GDC
set CPMTB3 =	FYCP60-FYGM6
set MTRMTB10 = 	FYMCLE-FYGT10
set TB10MTB3 =	FYGT10-FYGM3
set Y1OY =	Y{1}/Y

* Calculate 1st differences
set DLHUR =	LHUR - LHUR{1}
set DMU     =  	MU-MU{1}
set DY 	    =	Y-Y{1}
set DU      =	LHUR-LHUR{1}
set DFF     =	FYFF-FYFF{1}
set DTB3    =	FYGM3-FYGM3{1}
set DLB     = 	LB-LB{1}
set DMT     = 	MT-MT{1}

* Calculate growth rates
set MUG =   	log(MU)-log(MU{1})
set YG =   	log(Y)-log(Y{1})
set CG =  	log(GCNQ+GCSQ+GCDQ)-log(GCNQ{1}+GCSQ{1}+GCDQ{1})
set CNG =  	log(GCNQ)-log(GCNQ{1})
set CSG =  	log(GCSQ)-log(GCSQ{1})
set CDG =  	log(GCDQ)-log(GCDQ{1})
set CNSG = 	log(CNS)-log(CNS{1})
set EHSG =	log(EHS)-log(EHS{1})
set NHSG =	log(NHS)-log(NHS{1})
set THSG =	log(THS)-log(THS{1})
set CICG = 	log(CIC)-log(CIC{1})
set LBG = 	log(LB)-log(LB{1})
set ASG = 	log(AS)-log(AS{1})
set LQASG = 	log(LQAS)-log(LQAS{1})
set MTG =	log(MT)-log(MT{1})
set SPG =	log(FSPCOM)-log(FSPCOM{1})
set LCNMLY =	log(GCNQ)-log(Y)
set DLCPI = 	log(PUNEW)-log(PUNEW{1})

* Calculate the nominal GDP trend from real:
set GDPT = GDP/exp(XGAP/100)
set GDPTnom = GDPT*GDPD
set ORIGVAOGDPTnom  = ORIGVA/GDPTnom
set ORIGAOGDPTnom  =  ORIGA/GDPTnom

* seasonal adjustment
seasonal seasons
linreg(noprint) CICG / resids
# seasons{-3 TO 0}
set CICG = resids
linreg(noprint) LBG / resids
# seasons{-3 TO 0}
set LBG = resids
linreg(noprint) MTG / resids
# seasons{-3 TO 0}
set MTG = resids
linreg(noprint) ASG / resids
# seasons{-3 TO 0}
set ASG = resids
linreg(noprint) LQASG / resids
# seasons{-3 TO 0}
set LQASG = resids

* Calculate moving averages
set SAVOYAVG = (SAVOY{1}+SAVOY{2}+SAVOY{3}+SAVOY{4} $
             +SAVOY{5}+SAVOY{6}+SAVOY{7}+SAVOY{8} $
             +SAVOY{9}+SAVOY{10}+SAVOY{11}+SAVOY{12} $
             +SAVOY{13}+SAVOY{14}+SAVOY{15}+SAVOY{16} $
             +SAVOY{17}+SAVOY{18} $
             +SAVOY{-1}+SAVOY{-2}+SAVOY{-3}+SAVOY{-4} $
             +SAVOY{-5}+SAVOY{-6}+SAVOY{-7}+SAVOY{-8} $
             +SAVOY{-9}+SAVOY{-10}+SAVOY{-11}+SAVOY{-12} $
             +SAVOY{-13}+SAVOY{-14}+SAVOY{-15}+SAVOY{-16} $
             +SAVOY{-17}+SAVOY{-18})/36
set CDOYAVG = (CDOY{1}+CDOY{2}+CDOY{3}+CDOY{4} $
             +CDOY{5}+CDOY{6}+CDOY{7}+CDOY{8} $
             +CDOY{9}+CDOY{10}+CDOY{11}+CDOY{12} $
             +CDOY{13}+CDOY{14}+CDOY{15}+CDOY{16} $
             +CDOY{17}+CDOY{18} $
             +CDOY{-1}+CDOY{-2}+CDOY{-3}+CDOY{-4} $
             +CDOY{-5}+CDOY{-6}+CDOY{-7}+CDOY{-8} $
             +CDOY{-9}+CDOY{-10}+CDOY{-11}+CDOY{-12} $
             +CDOY{-13}+CDOY{-14}+CDOY{-15}+CDOY{-16} $
             +CDOY{-17}+CDOY{-18})/36
set THSAVG = (THS{1}+THS{2}+THS{3}+THS{4} $
             +THS{5}+THS{6}+THS{7}+THS{8} $
             +THS{9}+THS{10}+THS{11}+THS{12} $
             +THS{13}+THS{14}+THS{15}+THS{16} $
             +THS{17}+THS{18} $
             +THS{-1}+THS{-2}+THS{-3}+THS{-4} $
             +THS{-5}+THS{-6}+THS{-7}+THS{-8} $
             +THS{-9}+THS{-10}+THS{-11}+THS{-12} $
             +THS{-13}+THS{-14}+THS{-15}+THS{-16} $
             +THS{-17}+THS{-18})/36
set LBGAVG = (LBG{1}+LBG{2}+LBG{3}+LBG{4} $
             +LBG{5}+LBG{6}+LBG{7}+LBG{8} $
             +LBG{9}+LBG{10}+LBG{11}+LBG{12} $
             +LBG{13}+LBG{14}+LBG{15}+LBG{16} $
             +LBG{17}+LBG{18} $
             +LBG{-1}+LBG{-2}+LBG{-3}+LBG{-4} $
             +LBG{-5}+LBG{-6}+LBG{-7}+LBG{-8} $
             +LBG{-9}+LBG{-10}+LBG{-11}+LBG{-12} $
             +LBG{-13}+LBG{-14}+LBG{-15}+LBG{-16} $
             +LBG{-17}+LBG{-18})/36
set MTAVG = (MTG+MTG{1}+MTG{2}+MTG{3}+MTG{4}   $
             +MTG{5}+MTG{6}+MTG{7}+MTG{8}+MTG{9}   $
	     +MTG{10}+MTG{11}+MTG{12}+MTG{13}+MTG{14}   $
	     +MTG{15}+MTG{16}+MTG{17}+MTG{18}+MTG{19})/20


* Set the dummy and trend variables:
* Create a dummy variable that is one in periods of recession, i.e., one
* quarter after the peak to the trough of the next cycle:
set recsns = T==53:4.OR.T $
	      ==54:1.OR.T $
              ==54:2.OR.T $
	      ==57:4.OR.T $
              ==58:1.OR.T $
              ==58:2.OR.T $
	      ==60:3.OR.T $
              ==60:4.OR.T $
	      ==61:1.OR.T $
	      ==70:1.OR.T $
              ==70:2.OR.T $
              ==70:3.OR.T $
              ==70:4.OR.T $
	      ==74:1.OR.T $
              ==74:2.OR.T $
              ==74:3.OR.T $
              ==74:4.OR.T $
              ==75:1.OR.T $
	      ==80:2.OR.T $
              ==80:3.OR.T $
	      ==81:4.OR.T $
              ==82:1.OR.T $
              ==82:2.OR.T $
              ==82:3.OR.T $
              ==82:4.OR.T $
	      ==90:4.OR.T $
              ==91:1
* Create a dummy variable that is one in periods of recovery, i.e., one
* quarter after the trough to the peak of the next cycle:
set booms = recsns==0
set troughs = T==54:2.OR.T $
	       ==58:2.OR.T $
	       ==61:1.OR.T $
               ==70:4.OR.T $
               ==75:1.OR.T $
               ==80:3.OR.T $
               ==82:4.OR.T $
               ==91:1
set after1  = T==54:3.OR.T $
	       ==58:3.OR.T $
	       ==61:2.OR.T $
               ==71:1.OR.T $
               ==75:2.OR.T $
               ==80:4.OR.T $
               ==83:1.OR.T $
               ==91:2
set after2  = T==54:4.OR.T $
	       ==58:4.OR.T $
	       ==61:3.OR.T $
               ==71:2.OR.T $
               ==75:3.OR.T $
               ==81:1.OR.T $
               ==83:2.OR.T $
               ==91:3
set after3  = T==55:1.OR.T $
	       ==59:1.OR.T $
	       ==61:4.OR.T $
               ==71:3.OR.T $
               ==75:4.OR.T $
               ==81:2.OR.T $
               ==83:3.OR.T $
               ==91:4
set after4  = T==55:2.OR.T $
	       ==59:2.OR.T $
	       ==62:1.OR.T $
               ==71:4.OR.T $
               ==76:1.OR.T $
               ==81:3.OR.T $
               ==83:4.OR.T $
               ==92:1

set into1   = T==53:4.OR.T $
	       ==57:4.OR.T $
	       ==60:3.OR.T $
	       ==70:1.OR.T $
               ==74:1.OR.T $
               ==80:2.OR.T $
               ==81:4.OR.T $
               ==90:4

set post85 = T>=85:1
set mupost85 = mu*post85
set dmupost85 = dmu*post85
set movout = recsns(T)==1.AND.recsns(T+1)==0
set movin  = recsns(T)==0.AND.recsns(T+1)==1
set stayin = recsns(T)==1.AND.recsns(T+1)==1
set stayout = recsns(T)==0.AND.recsns(T+1)==0
set ygneg = YG<=0

set TRENDSQ = T*T
set TREND = T
set ones = 1

* Calculate the probabilities of moving into and out of recessions
compute movinsum = 0.0
compute movoutsum = 0.0
compute allbooms = 0.0
compute allrecsns = 0.0
do X = 1,T-1
   compute movinsum = movinsum+movin(X)
   compute movoutsum = movoutsum+movout(X)
   compute allrecsns = allrecsns + recsns(X)
   compute allbooms = allbooms + booms(X)
end do
compute probmovout = movoutsum/allrecsns
compute probmovin  = movinsum/allbooms
display 'Probability of moving out of a recession:   ' probmovout
display 'Probability of moving into a recession:     ' probmovin
display ' '

* Load the source code for estimating annuity income
* using our method and/or the FRB-US method
source(noecho) setzy.src






















