display ' '
display '************************     Start Table 7 Results     ************************'
display '*******************************************************************************'
display ' '

* First, run regressions on the baseline simulated data

open data prelib.rat
data(format=rats, org=obs)

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
compute rsim 	 = .01706
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy

instruments constant ytgrowth{1} ue{1 2}

linreg(inst) ctgrowth
# constant ytgrowth

linreg(inst) ctgrowth
# constant          ue{1}

linreg(inst) ctgrowth
# constant ytgrowth ue{1}

instruments constant ytgrowth{1} ue{1 2} dtgrowth{1}
linreg(inst) ctgrowth
# constant ytgrowth ue{1} dtgrowth{1}

instruments constant ytgrowth{1} ue{1 2} dsboy{1}
linreg(inst) ctgrowth
# constant ytgrowth ue{1} dsboy{1}

instruments constant ytgrowth{1} ue{1 2} dtoa{1}
linreg(inst) ctgrowth
# constant ytgrowth ue{1} dtoa{1}

* Then do the regressions using simulated data after financial liberalization

open data postlib.rat
data(format=rats, org=obs)

display "LIBERALIZED DATA"
display " "

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy

instruments constant ytgrowth{1} ue{1 2}
linreg(inst) ctgrowth
# constant ytgrowth

linreg(inst) ctgrowth
# constant          ue{1}

linreg(inst) ctgrowth
# constant ytgrowth ue{1}

display ' '
display '************************      End Table 7 Results      ************************'
display '*******************************************************************************'
display ' '


















