display ' '
display '************************     Start Table 9 Results     ************************'
display '*******************************************************************************'
display ' '

* First, run regressions on the baseline simulated data

open data prelib.rat
data(format=rats, org=obs)

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
compute rsim 	 = .01706
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy
set annuityincratio = annuitylevel{1}/annuitylevel

linreg HomesBoughtPerCapita
# constant AnnuityIncRatio ue{1} due IncomeOverAnnuityIncome

linreg HomesBoughtPerCapita
# constant AnnuityIncRatio ue{1} due IncomeOverAnnuityIncome dtgrowth{1}

linreg HomesBoughtPerCapita
# constant AnnuityIncRatio ue{1} due IncomeOverAnnuityIncome dsboy{1}

linreg HomesBoughtPerCapita
# constant AnnuityIncRatio ue{1} due IncomeOverAnnuityIncome dtoa{1}


* Then do the regressions using simulated data after financial liberalization

open data postlib.rat
data(format=rats, org=obs)

display "LIBERALIZED DATA"
display " "

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy
set annuityincratio = annuitylevel{1}/annuitylevel

linreg HomesBoughtPerCapita
# constant AnnuityIncRatio ue{1} due IncomeOverAnnuityIncome

display ' '
display '************************      End Table 9 Results      ************************'
display '*******************************************************************************'
display ' '











