display ' '
display '************************     Start Table 8 Results     ************************'
display '*******************************************************************************'
display ' '

* First, run regressions on the baseline simulated data

open data prelib.rat
data(format=rats, org=obs)

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
compute rsim 	 = .01706
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy

linreg ctgrowth
# constant ytgrowth atgrowth ue{1}

linreg ctgrowth
# constant ytgrowth          ue{1} due

linreg ctgrowth
# constant ytgrowth atgrowth ue{1} due


* Then do the regressions using simulated data after financial liberalization

open data postlib.rat
data(format=rats, org=obs)

display "LIBERALIZED DATA"
display " "

set atgrowth   	 = log(annuityincome(T))-log(annuityincome(T-1))
set ue 		 = expectedjoblossr(T)/100
set due     	 = (expectedjoblossr(T)-expectedjoblossr(T-1))/100
set dtost  	 = dtsimsmean/stsimsmean
set annuitylevel = AnnuityIncome*PermanentIncomeMean
set dtoa 	 = dtsimsmean/annuitylevel
set dtoy 	 = dtsimsmean/income
set dsboa	 = rsim*dtoa
set dsboy	 = rsim*dtoy

linreg ctgrowth
# constant ytgrowth atgrowth ue{1}

linreg ctgrowth
# constant ytgrowth          ue{1} due

linreg ctgrowth
# constant ytgrowth atgrowth ue{1} due

display ' '
display '************************      End Table 8 Results      ************************'
display '*******************************************************************************'
display ' '















