display ' '
display '************************     Start Table 6 Results     ************************'
display '*******************************************************************************'
display ' '

* To avoid overkill, we use only our ZY (method 1) for this set of regressions
@setzy 1

smpl 68:2 94:3

linreg lbg / lbgr
# constant THS
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths
compute theta = lbgtheta

nonlin nlconst nlths theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *


linreg lbg / lbgr
# constant THS MU{1}
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1}) $
            -nlmu1*(mu{1}-theta*mu{2})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *



linreg lbg / lbgr
# constant THS MU{1} DMU
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbgdmu = %beta(4)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nldmu = lbgdmu
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nldmu theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nldmu*(dmu-theta*dmu{1})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *



* do method = 1,2
* @setzy method
* smpl 68:2 94:3

linreg lbg / lbgr
# constant THS MU{1} ZYG
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbgzyg = %beta(4)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nlzyg = lbgzyg
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nlzyg theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nlzyg*(zyg-theta*zyg{1})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *



linreg lbg / lbgr
# constant THS MU{1} DMU ZYG
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbgdmu = %beta(4)
compute lbgzyg = %beta(5)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nldmu = lbgdmu, nlzyg = lbgzyg
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nldmu nlzyg theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nldmu*(dmu-theta*dmu{1})  $
            -nlzyg*(zyg-theta*zyg{1})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *



linreg lbg / lbgr
# constant THS MU{1} LBOZY{1}
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbglbozy1 = %beta(4)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nllbozy1 = lbglbozy1
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nllbozy1 theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nllbozy1*(lbozy{1}-theta*lbozy{2})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *

* end do method

linreg lbg / lbgr
# constant THS MU{1} LBG{1}
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbglbg1 = %beta(4)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nllbg1 = lbglbg1
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nllbg1 theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nllbg1*(lbg{1}-theta*lbg{2})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *


linreg lbg / lbgr
# constant THS MU{1} DSB{1}
compute lbgconst = %beta(1)
compute lbgths = %beta(2)
compute lbgmu1 = %beta(3)
compute lbgdsb1 = %beta(4)
linreg(noprint) lbgr
# lbgr{1}
compute lbgtheta = %beta(1)

* Initial estimates:
compute nlconst = lbgconst, nlths = lbgths, nlmu1 = lbgmu1, nldsb1 = lbgdsb1
compute theta = lbgtheta

nonlin nlconst nlths nlmu1 nldsb1 theta
frml etaeq = lbg{0} -theta*lbg{1}-nlconst $
            -nlths*(ths-theta*ths{1})   $
            -nlmu1*(mu{1}-theta*mu{2})  $
            -nldsb1*(dsb{1}-theta*dsb{2})
nlls(frml=etaeq,iterations=100, robusterrors, lags=8, damp=4) *



smpl











































